﻿using System;
using WorkflowCore;
using System.Collections.Generic;

//////////////////////////////////////////////////////////////////////
// Created by Michael Kennedy
// http://www.michaelckennedy.net
// Copyright Michael Kennedy 2008.
// Part of the HRWorkflow sample application featured in MSDN Magazine.
//

namespace WorkflowCore.Data
{
	// Just a fake database to store our data. We'd use SQL Server for a real app.
	public class Database
	{
		private static Dictionary<Guid, Employee> dataStore = 
			new Dictionary<Guid, Employee>();

		public static Employee FindEmployee(Guid wfID)
		{
			return dataStore[wfID];
		}

		public static void SaveEmployee(Guid wfID, Employee employee)
		{
			dataStore[wfID] = employee;
		}
	}
}