﻿using System;
using System.Workflow.Activities;
using System.Workflow.ComponentModel;
using System.Workflow.Runtime;

//////////////////////////////////////////////////////////////////////
// Created by Michael Kennedy
// http://www.michaelckennedy.net
// Copyright Michael Kennedy 2008.
// Part of the HRWorkflow sample application featured in MSDN Magazine.
//

namespace WorkflowCore
{
	public sealed partial class MainWorkflow : SequentialWorkflowActivity
	{
		public MainWorkflow()
		{
			InitializeComponent();
		}

		public static DependencyProperty EmployeeResponseProperty =
			DependencyProperty.Register("EmployeeResponse",
										 typeof(string), typeof(MainWorkflow));

		public string EmployeeResponse
		{
			get { return ((string)base.GetValue(EmployeeResponseProperty)); }
			set { base.SetValue(EmployeeResponseProperty, value); }
		}
	}
}