﻿using System;
using System.Workflow.Runtime;
using WorkflowCore;
using WorkflowCore.Logging;

//////////////////////////////////////////////////////////////////////
// Created by Michael Kennedy
// http://www.michaelckennedy.net
// Copyright Michael Kennedy 2008.
// Part of the HRWorkflow sample application featured in MSDN Magazine.
//

namespace HRWorkflow
{
	public partial class _Default : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
		}

		protected void LinkButtonJoin_Click(object sender, EventArgs e)
		{
			WorkflowInstance wfInst = Global.WorkflowRuntime.CreateWorkflow( 
				typeof( MainWorkflow ) );

			wfInst.Start();
			WorkflowViewer.MyWorkflowID = wfInst.InstanceId;

			TraceDT.Add( "Page loaded for new recruit.", wfInst.InstanceId, this.GetType() );

			Response.Redirect( "GatherEmployeeData.aspx?id=" + wfInst.InstanceId );
		}
	}
}
