﻿using System;
using WorkflowCore;
using WorkflowCore.Data;

//////////////////////////////////////////////////////////////////////
// Created by Michael Kennedy
// http://www.michaelckennedy.net
// Copyright Michael Kennedy 2008.
// Part of the HRWorkflow sample application featured in MSDN Magazine.
//

namespace HRWorkflow
{
	public partial class Finished : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			Employee employee = Database.FindEmployee( QueryStringData.GetWorkflowId() );

			LabelName.Text = employee.Name;
			LabelAccept.Visible = employee.Accepted;
			LabelDecline.Visible = !employee.Accepted;
		}
	}
}
